## ip4r 1.03

=== Makefile ===

MODULES = ip4r
DATA_built = ip4r.sql
DOCS = README.ip4r

ifdef USE_PGXS
PG_CPPFLAGS = -DIP4R_PGVER=$(shell echo $(VERSION) | awk -F. '{ print ($$1*1000+$$2)*1000+$$3 }')
PGXS = $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/ip4r
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
CFLAGS += -DIP4R_PGVER=$(shell echo $(VERSION) | awk -F. '{ print ($$1*1000+$$2)*1000+$$3 }')
include $(top_srcdir)/contrib/contrib-global.mk
endif

## ip4r 1.05

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,9 @@
 DOCS = README.ip4r
 
 ifdef USE_PGXS
+PG_CONFIG = pg_config
 PG_CPPFLAGS = -DIP4R_PGVER=$(shell echo $(VERSION) | awk -F. '{ print ($$1*1000+$$2)*1000+$$3 }')
-PGXS = $(shell pg_config --pgxs)
+PGXS = $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
 subdir = contrib/ip4r

## ip4r 2.0

=== Makefile ===

EXTENSION = ip4r
MODULE_big = ip4r
DATA = ip4r--2.0.sql ip4r--unpackaged2.0--2.0.sql ip4r--unpackaged1--2.0.sql
DOCS = README.ip4r
OBJS = ip4r_module.o ip4r.o ip6r.o ipaddr.o iprange.o raw_io.o
REGRESS = ip4r

ifndef NO_PGXS
PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/ip4r
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
ip4r (2.0-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Add missing postgresql-server-dev-all test
    dependency, as our installcheck test calls pg_buildext.
  * debian/tests/installcheck: Create build directory if missing (our test
    does not declare that the package needs to be built first).
  * debian/tests/installcheck: Unset TMPDIR, so that the test does not fail on
    an inaccessible temp dir for user "postgres".

  [ Christoph Berg ]
  * Use "9.1+" in debian/pgversions and B-D on pg-server-dev-all >= 148.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2013 13:04:41 +0200

ip4r (2.0-1) unstable; urgency=low

  * New upstream version, from ip4r-extension-2.0.tgz.
  * Set supported PostgreSQL versions to 9.1+.
  * Promote Recommends: postgresql-x.y to Depends.
  * Update (and shorten) description to mention new IPv6 types.
  * Add autopkgtest support.
  * Bump compat to 8, use 3.0 (quilt), convert to dh rules.
  * Add Vcs fields, add ${misc:Depends}.
  * Update copyright file to include actual PostgreSQL copyright terms.
  * Add watch file.
  * Taking over as maintainer, thanks Robert for the permission.

 -- Christoph Berg <myon@debian.org>  Sun, 12 May 2013 19:36:36 -0700

ip4r (1.05-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version compatible with PG 9.0.
  * Convert to use pg_buildext to build against PG 9.1;
    closes: #605711, #639470.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Oct 2011 14:34:24 +0200

ip4r (1.04-1) unstable; urgency=low

  * New upstream release; closes: #537693.
  * Drop postgresql-8.3-ip4r and build postgresql-8.4-ip4r; closes: #559584.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 06 Dec 2009 13:56:15 -0800

ip4r (1.03-2) unstable; urgency=low

  * Drop postgresql-8.2-ip4r; closes: #474285.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 05 Apr 2008 12:43:15 -0400

ip4r (1.03-1) unstable; urgency=low

  * New upstream release (supports PostgreSQL 8.3).
  * Build new binary package postgresql-8.3-ip4r.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 04 Feb 2008 18:32:21 -0500

ip4r (1.01-2) unstable; urgency=low

  * Use /usr/lib/postgresql/8.2/bin/pg_config instead of /usr/bin/pg_config in
    upstream Makefile; closes: #460379.
  * Drop cdbs packaging.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 12 Jan 2008 15:49:57 -0500

ip4r (1.01-1) unstable; urgency=low

  * New upstream release.
  * Build extension module for postgresql-8.2, closes: #419295.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 16 Apr 2007 15:17:48 -0400

ip4r (1.0-1) unstable; urgency=low

  * Initial release, closes: #381811.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon,  7 Aug 2006 01:01:13 -0400

=== debian/control ===
Source: ip4r
Section: misc
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 8), postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.4
Homepage: http://pgfoundry.org/projects/ip4r/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/ip4r.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/ip4r.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-ip4r
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Description: IPv4 and IPv6 types for PostgreSQL 9.3
 This PostgreSQL module provides several data types which can contain
 single IPv4 or IPv6 addresses or a range of such addresses.
 .
 ip4r supports these data types:
 .
  ip4:       IPv4 address '#.#.#.#'
  ip4r:      IPv4 range '#.#.#.#-#.#.#.#' or '#.#.#.#/#' or '#.#.#.#'
  ip6:       IPv6 address 'xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx'
  ip6r:      IPv6 range '#-#' or '#/#' or '#'
  ipaddress: IPv4 or IPv6 address
  iprange:   IPv4 or IPv6 range
 .
 While PostgreSQL already has built-in types 'inet' and 'cidr', the
 authors of this module found that they had a number of requirements
 that were not addressed by the built-in types.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=$(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

override_dh_auto_build:
	+pg_buildext build $(SRCDIR) build-%v "$(CFLAGS)"

override_dh_auto_clean:
	+pg_buildext clean $(SRCDIR) build-%v

override_dh_auto_install:
	+pg_buildext install $(SRCDIR) build-%v postgresql-%v-ip4r

override_dh_installdocs:
	dh_installdocs --all README.ip4r

%:
	dh $@

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all
Tests: installcheck
Restrictions: needs-root

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000079 /frs/download.php/[0-9]+/ip4r(?:-extension)?-([0-9.]+).t(?:ar.)?gz

## ip4r 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,18 @@
 
+MODULE_big = ip4r
+
+ifndef NO_EXTENSION
 EXTENSION = ip4r
-MODULE_big = ip4r
 DATA = ip4r--2.0.sql ip4r--unpackaged2.0--2.0.sql ip4r--unpackaged1--2.0.sql
+REGRESS = ip4r
+else
+DATA_built = ip4r.sql
+EXTRA_CLEAN += ip4r.sql.in sql/ip4r-legacy.sql expected/ip4r-legacy.out
+REGRESS = ip4r-legacy
+endif
+
 DOCS = README.ip4r
 OBJS = ip4r_module.o ip4r.o ip6r.o ipaddr.o iprange.o raw_io.o
-REGRESS = ip4r
 
 ifndef NO_PGXS
 PG_CONFIG = pg_config
@@ -17,3 +25,22 @@
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
 
+ifndef EXTENSION
+
+ip4r.sql.in: ip4r--2.0.sql legacy.sed
+	sed -f legacy.sed $< >$@
+
+sql/ip4r-legacy.sql: sql/ip4r.sql legacy-r.sed
+	sed -f legacy-r.sed $< >$@
+
+expected/ip4r-legacy.out: expected/ip4r.out
+	sed -f legacy-r.sed $< | sed -e '/^\\i /,+1d' >$@
+
+installcheck: sql/ip4r-legacy.sql expected/ip4r-legacy.out
+
+else
+ifeq ($(filter-out 7.% 8.% 9.0, $(MAJORVERSION)),)
+$(error extension build not supported in versions before 9.1, use NO_EXTENSION=1)
+endif
+endif
+

=== debian/changelog ===
ip4r (2.0.2-4) unstable; urgency=medium

  * Upload to unstable for 9.5.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 08 Jan 2016 13:54:15 +0100

ip4r (2.0.2-3) unstable; urgency=medium

  * Upload to unstable for 9.4.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Jul 2014 22:37:56 +0200

ip4r (2.0.2-2) experimental; urgency=medium

  * B-D on pg-common 158 to build for 9.3 and 9.4.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2014 23:02:47 +0200

ip4r (2.0.2-1) unstable; urgency=medium

  * New upstream version.
  * debian/tests/: Modernize.

 -- Christoph Berg <myon@debian.org>  Fri, 23 May 2014 20:32:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ip4r
 Section: misc
 Priority: extra
-Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 8), postgresql-server-dev-all (>= 148~)
-Standards-Version: 3.9.4
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Uploaders: Christoph Berg <myon@debian.org>
+Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
+Standards-Version: 3.9.6
 Homepage: http://pgfoundry.org/projects/ip4r/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/ip4r.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/ip4r.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.3-ip4r
+Package: postgresql-9.5-ip4r
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
-Description: IPv4 and IPv6 types for PostgreSQL 9.3
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
+Description: IPv4 and IPv6 types for PostgreSQL 9.5
  This PostgreSQL module provides several data types which can contain
  single IPv4 or IPv6 addresses or a range of such addresses.
  .

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 override_dh_auto_clean:
 	+pg_buildext clean $(SRCDIR) build-%v
+	rm -rf results/
 
 override_dh_auto_install:
 	+pg_buildext install $(SRCDIR) build-%v postgresql-%v-ip4r

## ip4r 2.1.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,11 @@
 
 ifndef NO_EXTENSION
 EXTENSION = ip4r
-DATA = ip4r--2.0.sql ip4r--unpackaged2.0--2.0.sql ip4r--unpackaged1--2.0.sql
+DATA = ip4r--2.1.sql \
+       ip4r--2.0--2.1.sql \
+       ip4r--unpackaged2.1--2.1.sql \
+       ip4r--unpackaged2.0--2.0.sql \
+       ip4r--unpackaged1--2.0.sql
 REGRESS = ip4r
 else
 DATA_built = ip4r.sql
@@ -25,10 +29,23 @@
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
 
+ifeq ($(filter-out 7.% 8.0 8.1 8.2 8.3, $(MAJORVERSION)),)
+$(error unsupported PostgreSQL version)
+endif
+
 ifndef EXTENSION
 
-ip4r.sql.in: ip4r--2.0.sql legacy.sed
+ifeq ($(filter-out 8.4, $(MAJORVERSION)),)
+
+ip4r.sql.in: ip4r--2.1.sql legacy.sed
+	sed -f legacy.sed $< | sed -e '/^DO /,/^[$$]/d' >$@
+
+else
+
+ip4r.sql.in: ip4r--2.1.sql legacy.sed
 	sed -f legacy.sed $< >$@
+
+endif
 
 sql/ip4r-legacy.sql: sql/ip4r.sql legacy-r.sed
 	sed -f legacy-r.sed $< >$@
@@ -39,7 +56,7 @@
 installcheck: sql/ip4r-legacy.sql expected/ip4r-legacy.out
 
 else
-ifeq ($(filter-out 7.% 8.% 9.0, $(MAJORVERSION)),)
+ifeq ($(filter-out 8.% 9.0, $(MAJORVERSION)),)
 $(error extension build not supported in versions before 9.1, use NO_EXTENSION=1)
 endif
 endif

=== debian/changelog ===
ip4r (2.1.1-1ubuntu2) zesty; urgency=medium

  * Revert to Debian packaging for postgresql-9.6 transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2016 19:02:45 -0500

ip4r (2.1.1-1ubuntu1) zesty; urgency=medium

  * Regenerate control file for PostgreSQL 9.5 in Zesty.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 25 Nov 2016 22:13:35 -0500

ip4r (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Sep 2016 19:20:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: ip4r
 Section: misc
 Priority: extra
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pgfoundry.org/projects/ip4r/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/ip4r.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/ip4r.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.5-ip4r
+Package: postgresql-9.6-ip4r
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
-Description: IPv4 and IPv6 types for PostgreSQL 9.5
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Description: IPv4 and IPv6 types for PostgreSQL 9.6
  This PostgreSQL module provides several data types which can contain
  single IPv4 or IPv6 addresses or a range of such addresses.
  .

## ip4r 2.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 
 ifndef NO_EXTENSION
 EXTENSION = ip4r
-DATA = ip4r--2.1.sql \
+DATA = ip4r--2.2.sql \
+       ip4r--2.1--2.2.sql \
        ip4r--2.0--2.1.sql \
        ip4r--unpackaged2.1--2.1.sql \
        ip4r--unpackaged2.0--2.0.sql \
@@ -37,12 +38,12 @@
 
 ifeq ($(filter-out 8.4, $(MAJORVERSION)),)
 
-ip4r.sql.in: ip4r--2.1.sql legacy.sed
+ip4r.sql.in: ip4r--2.2.sql legacy.sed
 	sed -f legacy.sed $< | sed -e '/^DO /,/^[$$]/d' >$@
 
 else
 
-ip4r.sql.in: ip4r--2.1.sql legacy.sed
+ip4r.sql.in: ip4r--2.2.sql legacy.sed
 	sed -f legacy.sed $< >$@
 
 endif

=== debian/changelog ===
ip4r (2.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 10.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Sep 2017 18:52:47 +0200

ip4r (2.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 07 Apr 2017 10:54:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: ip4r
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://pgfoundry.org/projects/ip4r/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/ip4r.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/ip4r.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.6-ip4r
+Package: postgresql-10-ip4r
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
-Description: IPv4 and IPv6 types for PostgreSQL 9.6
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Description: IPv4 and IPv6 types for PostgreSQL 10
  This PostgreSQL module provides several data types which can contain
  single IPv4 or IPv6 addresses or a range of such addresses.
  .

## ip4r 2.3

=== debian/changelog ===
ip4r (2.3-1) unstable; urgency=medium

  * New upstream version.
  * Priority: optional.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Sat, 26 May 2018 22:14:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: ip4r
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Homepage: http://pgfoundry.org/projects/ip4r/
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/ip4r.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/ip4r.git
+Vcs-Git: https://salsa.debian.org/postgresql/ip4r.git
+Vcs-Browser: https://salsa.debian.org/postgresql/ip4r
 XS-Testsuite: autopkgtest
 
 Package: postgresql-10-ip4r

## ip4r 2.4

=== debian/changelog ===
ip4r (2.4-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 29 Nov 2018 10:22:50 +0100

ip4r (2.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 29 Nov 2018 10:22:50 +0100

ip4r (2.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Oct 2018 22:29:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,94 @@
 Source: ip4r
 Section: misc
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: http://pgfoundry.org/projects/ip4r/
 Vcs-Git: https://salsa.debian.org/postgresql/ip4r.git
 Vcs-Browser: https://salsa.debian.org/postgresql/ip4r
 XS-Testsuite: autopkgtest
+
+Package: postgresql-9.3-ip4r
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
+Description: IPv4 and IPv6 types for PostgreSQL 9.3
+ This PostgreSQL module provides several data types which can contain
+ single IPv4 or IPv6 addresses or a range of such addresses.
+ .
+ ip4r supports these data types:
+ .
+  ip4:       IPv4 address '#.#.#.#'
+  ip4r:      IPv4 range '#.#.#.#-#.#.#.#' or '#.#.#.#/#' or '#.#.#.#'
+  ip6:       IPv6 address 'xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx'
+  ip6r:      IPv6 range '#-#' or '#/#' or '#'
+  ipaddress: IPv4 or IPv6 address
+  iprange:   IPv4 or IPv6 range
+ .
+ While PostgreSQL already has built-in types 'inet' and 'cidr', the
+ authors of this module found that they had a number of requirements
+ that were not addressed by the built-in types.
+
+Package: postgresql-9.4-ip4r
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.4
+Description: IPv4 and IPv6 types for PostgreSQL 9.4
+ This PostgreSQL module provides several data types which can contain
+ single IPv4 or IPv6 addresses or a range of such addresses.
+ .
+ ip4r supports these data types:
+ .
+  ip4:       IPv4 address '#.#.#.#'
+  ip4r:      IPv4 range '#.#.#.#-#.#.#.#' or '#.#.#.#/#' or '#.#.#.#'
+  ip6:       IPv6 address 'xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx'
+  ip6r:      IPv6 range '#-#' or '#/#' or '#'
+  ipaddress: IPv4 or IPv6 address
+  iprange:   IPv4 or IPv6 range
+ .
+ While PostgreSQL already has built-in types 'inet' and 'cidr', the
+ authors of this module found that they had a number of requirements
+ that were not addressed by the built-in types.
+
+Package: postgresql-9.5-ip4r
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
+Description: IPv4 and IPv6 types for PostgreSQL 9.5
+ This PostgreSQL module provides several data types which can contain
+ single IPv4 or IPv6 addresses or a range of such addresses.
+ .
+ ip4r supports these data types:
+ .
+  ip4:       IPv4 address '#.#.#.#'
+  ip4r:      IPv4 range '#.#.#.#-#.#.#.#' or '#.#.#.#/#' or '#.#.#.#'
+  ip6:       IPv6 address 'xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx'
+  ip6r:      IPv6 range '#-#' or '#/#' or '#'
+  ipaddress: IPv4 or IPv6 address
+  iprange:   IPv4 or IPv6 range
+ .
+ While PostgreSQL already has built-in types 'inet' and 'cidr', the
+ authors of this module found that they had a number of requirements
+ that were not addressed by the built-in types.
+
+Package: postgresql-9.6-ip4r
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Description: IPv4 and IPv6 types for PostgreSQL 9.6
+ This PostgreSQL module provides several data types which can contain
+ single IPv4 or IPv6 addresses or a range of such addresses.
+ .
+ ip4r supports these data types:
+ .
+  ip4:       IPv4 address '#.#.#.#'
+  ip4r:      IPv4 range '#.#.#.#-#.#.#.#' or '#.#.#.#/#' or '#.#.#.#'
+  ip6:       IPv6 address 'xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx'
+  ip6r:      IPv6 range '#-#' or '#/#' or '#'
+  ipaddress: IPv4 or IPv6 address
+  iprange:   IPv4 or IPv6 range
+ .
+ While PostgreSQL already has built-in types 'inet' and 'cidr', the
+ authors of this module found that they had a number of requirements
+ that were not addressed by the built-in types.
 
 Package: postgresql-10-ip4r
 Architecture: any
@@ -30,3 +110,23 @@
  authors of this module found that they had a number of requirements
  that were not addressed by the built-in types.
 
+Package: postgresql-11-ip4r
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
+Description: IPv4 and IPv6 types for PostgreSQL 11
+ This PostgreSQL module provides several data types which can contain
+ single IPv4 or IPv6 addresses or a range of such addresses.
+ .
+ ip4r supports these data types:
+ .
+  ip4:       IPv4 address '#.#.#.#'
+  ip4r:      IPv4 range '#.#.#.#-#.#.#.#' or '#.#.#.#/#' or '#.#.#.#'
+  ip6:       IPv6 address 'xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx'
+  ip6r:      IPv6 range '#-#' or '#/#' or '#'
+  ipaddress: IPv4 or IPv6 address
+  iprange:   IPv4 or IPv6 range
+ .
+ While PostgreSQL already has built-in types 'inet' and 'cidr', the
+ authors of this module found that they had a number of requirements
+ that were not addressed by the built-in types.
+

## ip4r 2.4.1

=== Makefile ===

MODULE_big = ip4r

ifndef NO_EXTENSION
EXTENSION= ip4r
SRC_SQL	= ip4r--2.4.sql \
	  ip4r--2.2--2.4.sql \
	  ip4r--2.1--2.2.sql \
	  ip4r--2.0--2.1.sql \
	  ip4r--unpackaged2.1--2.1.sql \
	  ip4r--unpackaged2.0--2.0.sql \
	  ip4r--unpackaged1--2.0.sql
DATA	= $(addprefix scripts/, $(SRC_SQL))
REGRESS = ip4r $(REGRESS_$(MAJORVERSION))
REGRESS_11 := ip4r-v11
REGRESS_12 := $(REGRESS_11)
else
DATA_built = ip4r.sql
EXTRA_CLEAN += ip4r.sql.in sql/ip4r-legacy.sql expected/ip4r-legacy.out
REGRESS = ip4r-legacy
endif

objdir	= src

DOCS	= README.ip4r
OBJS_C	= ip4r_module.o ip4r.o ip6r.o ipaddr.o iprange.o raw_io.o
OBJS	= $(addprefix src/, $(OBJS_C))
INCS	= ipr.h ipr_internal.h

HEADERS = src/ipr.h

# if VPATH is not already set, but the makefile is not in the current
# dir, then assume a vpath build using the makefile's directory as
# source. PGXS will set $(srcdir) accordingly.
ifndef VPATH
ifneq ($(realpath $(CURDIR)),$(realpath $(dir $(firstword $(MAKEFILE_LIST)))))
VPATH := $(dir $(firstword $(MAKEFILE_LIST)))
endif
endif

ifndef NO_PGXS
PG_CONFIG ?= pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/ip4r
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

ifeq ($(filter-out 7.% 8.0 8.1 8.2 8.3, $(MAJORVERSION)),)
$(error unsupported PostgreSQL version)
endif

$(OBJS): $(addprefix $(srcdir)/src/, $(INCS))

# for a vpath build, we need src/ to exist in the build dir before
# building any objects.
ifdef VPATH
all: vpath-mkdirs
.PHONY: vpath-mkdirs
$(OBJS): | vpath-mkdirs

vpath-mkdirs:
	$(MKDIR_P) $(objdir)
endif # VPATH

ifndef EXTENSION

ifeq ($(filter-out 8.4, $(MAJORVERSION)),)

ip4r.sql.in: $(srcdir)/scripts/ip4r--2.4.sql $(srcdir)/tools/legacy.sed
	sed -f $(srcdir)/tools/legacy.sed $< | sed -e '/^DO /,/^[$$]/d' >$@

else

ip4r.sql.in: $(srcdir)/scripts/ip4r--2.4.sql $(srcdir)/tools/legacy.sed
	sed -f $(srcdir)/tools/legacy.sed $< >$@

endif

# regression test doesn't like the idea of having to build files in
# the sql/ subdir, and looks for that only in $(srcdir). So disable
# legacy regression tests in vpath build.
ifndef VPATH
sql/ip4r-legacy.sql: sql/ip4r.sql tools/legacy-r.sed
	sed -f tools/legacy-r.sed $< >$@

expected/ip4r-legacy.out: expected/ip4r.out tools/legacy-r.sed
	sed -f tools/legacy-r.sed $< | sed -e '/^\\i /,+1d' >$@

installcheck: sql/ip4r-legacy.sql expected/ip4r-legacy.out
else
installcheck:
	@echo regression tests are disabled in legacy vpath build
endif # VPATH

else
ifeq ($(filter-out 8.% 9.0, $(MAJORVERSION)),)
$(error extension build not supported in versions before 9.1, use NO_EXTENSION=1)
endif
endif

=== debian/changelog ===
ip4r (2.4.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 10:37:16 +0100

ip4r (2.4.1-1) experimental; urgency=medium

  * New upstream version with PG 12 support.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Jun 2019 14:15:27 +0200

=== debian/control ===
Source: ip4r
Section: misc
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
Standards-Version: 4.2.0
Homepage: http://pgfoundry.org/projects/ip4r/
Vcs-Git: https://salsa.debian.org/postgresql/ip4r.git
Vcs-Browser: https://salsa.debian.org/postgresql/ip4r
XS-Testsuite: autopkgtest

Package: postgresql-12-ip4r
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
Description: IPv4 and IPv6 types for PostgreSQL 12
 This PostgreSQL module provides several data types which can contain
 single IPv4 or IPv6 addresses or a range of such addresses.
 .
 ip4r supports these data types:
 .
  ip4:       IPv4 address '#.#.#.#'
  ip4r:      IPv4 range '#.#.#.#-#.#.#.#' or '#.#.#.#/#' or '#.#.#.#'
  ip6:       IPv6 address 'xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx'
  ip6r:      IPv6 range '#-#' or '#/#' or '#'
  ipaddress: IPv4 or IPv6 address
  iprange:   IPv4 or IPv6 range
 .
 While PostgreSQL already has built-in types 'inet' and 'cidr', the
 authors of this module found that they had a number of requirements
 that were not addressed by the built-in types.

=== debian/watch ===
version=3
https://github.com/RhodiumToad/ip4r/releases .*/archive/(.*).tar.gz

## ip4r 2.4.2

=== Makefile ===

EXTENSION= ip4r

MODULE_big = ip4r

SRC_SQL	= ip4r--2.4.sql \
	  ip4r--2.2--2.4.sql \
	  ip4r--2.1--2.2.sql \
	  ip4r--2.0--2.1.sql \
	  $(if $(call version_ge,$(MAJORVERSION),13),,$(SRC_OLD))
# "FROM unpackaged" was removed in pg13
SRC_OLD = ip4r--unpackaged2.1--2.1.sql \
	  ip4r--unpackaged2.0--2.0.sql \
	  ip4r--unpackaged1--2.0.sql
DATA	= $(addprefix scripts/, $(SRC_SQL))

objdir	= src

DOCS	= README.ip4r
OBJS_C	= ip4r_module.o ip4r.o ip6r.o ipaddr.o iprange.o raw_io.o
OBJS	= $(addprefix src/, $(OBJS_C))
INCS	= ipr.h ipr_internal.h

HEADERS = src/ipr.h

REGRESS = ip4r \
	  $(REGRESS_BY_VERSION)
REGRESS_V11 := ip4r-v11
REGRESS_V16 := ip4r-softerr

define REGRESS_BY_VERSION
$(strip
   $(foreach v,$(filter REGRESS_V%,$(.VARIABLES)),
      $(if $(call version_ge,$(MAJORVERSION),$(subst REGRESS_V,,$(v))),
           $($(v)))))
endef

# if VPATH is not already set, but the makefile is not in the current
# dir, then assume a vpath build using the makefile's directory as
# source. PGXS will set $(srcdir) accordingly.
ifndef VPATH
ifneq ($(realpath $(CURDIR)),$(realpath $(dir $(firstword $(MAKEFILE_LIST)))))
VPATH := $(dir $(firstword $(MAKEFILE_LIST)))
endif
endif

mklibdir := $(if $(VPATH),$(VPATH)/tools,tools)
include $(mklibdir)/numeric.mk

PG_CONFIG ?= pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

ifeq ($(call version_ge,$(MAJORVERSION),9.1),)
$(error unsupported PostgreSQL version)
endif

$(OBJS): $(addprefix $(srcdir)/src/, $(INCS))

# for a vpath build, we need src/ to exist in the build dir before
# building any objects.
ifdef VPATH
all: vpath-mkdirs
.PHONY: vpath-mkdirs
$(OBJS): | vpath-mkdirs

vpath-mkdirs:
	$(MKDIR_P) $(objdir)
endif # VPATH


# end

=== debian/changelog ===
ip4r (2.4.2-4) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117265)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 15:12:52 +0200

ip4r (2.4.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2024 23:24:08 +0200

ip4r (2.4.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Sep 2023 15:16:45 +0200

ip4r (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Jul 2023 19:57:36 +0200

ip4r (2.4.1-8) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Oct 2022 15:44:36 +0200

ip4r (2.4.1-7) unstable; urgency=medium

  * Provides: postgresql-ip4r, pgloader test-depends on it.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Jul 2022 15:21:23 +0200

ip4r (2.4.1-6) unstable; urgency=medium

  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jan 2022 12:23:54 +0100

ip4r (2.4.1-5) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 13:55:07 +0200

ip4r (2.4.1-4) unstable; urgency=medium

  * R³: no.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 14:04:22 +0200

ip4r (2.4.1-3) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Update standards version to 4.2.1, no changes needed.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * DH 13.
  * debian/tests/control: Use 'make' instead of postgresql-server-dev-all.
  * debian/tests: Simplify to "pg_buildext installcheck".
  * Move homepage to https://github.com/RhodiumToad/ip4r.

 -- Christoph Berg <myon@debian.org>  Thu, 01 Oct 2020 14:30:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,29 @@
 Section: misc
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
-Standards-Version: 4.2.0
-Homepage: http://pgfoundry.org/projects/ip4r/
+Uploaders:
+ Christoph Berg <myon@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all (>= 217~),
+Standards-Version: 4.7.2
+Homepage: https://github.com/RhodiumToad/ip4r
 Vcs-Git: https://salsa.debian.org/postgresql/ip4r.git
 Vcs-Browser: https://salsa.debian.org/postgresql/ip4r
-XS-Testsuite: autopkgtest
 
-Package: postgresql-12-ip4r
+Package: postgresql-18-ip4r
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
-Description: IPv4 and IPv6 types for PostgreSQL 12
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Provides:
+ postgresql-ip4r,
+Breaks:
+ ${postgresql:Breaks},
+Description: IPv4 and IPv6 types for PostgreSQL 18
  This PostgreSQL module provides several data types which can contain
  single IPv4 or IPv6 addresses or a range of such addresses.
  .

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.ip4r

%:
	dh $@ --with pgxs
